Bug 628132 - Weechat lacks the python plugin
Summary: Weechat lacks the python plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: weechat
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Paul P Komkoff Jr
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-28 05:25 UTC by Joel F
Modified: 2010-11-29 21:38 UTC (History)
3 users (show)

Fixed In Version: weechat-0.3.3-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-29 21:28:53 UTC
Type: ---


Attachments (Terms of Use)

Description Joel F 2010-08-28 05:25:38 UTC
Description of problem:

Weechat does not have it's python script support.

Version-Release number of selected component (if applicable):
Name        : weechat
Arch        : x86_64
Version     : 0.3.2
Release     : 3.fc14

Expected results:
/usr/lib64/weechat/plugins/python.so to be installed along with weechat

Comment 1 Joel F 2010-08-28 12:52:58 UTC
I did both a rpmbuild and a configure/make from the sources of 0.3.3 (n.b. newer version), and found out that rpmbuild will not produce the python plugin, while the configure/make route will compile it.

This indicate it's some kind of cmake issue?

Comment 2 Paul P Komkoff Jr 2010-08-28 16:24:31 UTC
Yeah, I guess I failed somewhere. Will fix it now.

Comment 3 John Brier 2010-11-08 15:33:17 UTC
Still have this issue today

[jbrier@jb ~]$ rpm -ql weechat | grep perl
/usr/lib64/weechat/plugins/perl.so
[jbrier@jb ~]$ rpm -ql weechat | grep python
[jbrier@jb ~]$ rpm -q weechat
weechat-0.3.2-3.fc14.x86_64
[jbrier@jb ~]$ cat /etc/redhat-release 
Fedora release 14 (Laughlin)
[jbrier@jb ~]$

Comment 4 Fedora Update System 2010-11-19 12:49:08 UTC
weechat-0.3.3-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/weechat-0.3.3-2.fc13

Comment 5 Fedora Update System 2010-11-19 12:49:15 UTC
weechat-0.3.3-2.fc14.1 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/weechat-0.3.3-2.fc14.1

Comment 6 Fedora Update System 2010-11-19 12:49:23 UTC
weechat-0.3.3-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/weechat-0.3.3-2.fc12

Comment 7 John Brier 2010-11-19 20:01:38 UTC
jbrier@jb tmp]$ wget http://kojipkgs.fedoraproject.org/packages/weechat/0.3.3/2.fc14.1/x86_64/weechat-0.3.3-2.fc14.1.x86_64.rpm
--2010-11-19 14:58:22--  http://kojipkgs.fedoraproject.org/packages/weechat/0.3.3/2.fc14.1/x86_64/weechat-0.3.3-2.fc14.1.x86_64.rpm
Resolving kojipkgs.fedoraproject.org... 209.132.181.10
Connecting to kojipkgs.fedoraproject.org|209.132.181.10|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 833804 (814K) [application/x-rpm]
Saving to: “weechat-0.3.3-2.fc14.1.x86_64.rpm”

100%[==========================================================================================================================================>] 833,804      526K/s   in 1.5s    

2010-11-19 14:58:23 (526 KB/s) - “weechat-0.3.3-2.fc14.1.x86_64.rpm” saved [833804/833804]

[jbrier@jb tmp]$ sudo rpm -Uvh weechat-0.3.3-2.fc14.1.x86_64.rpm 
[sudo] password for jbrier: 
Preparing...                ########################################### [100%]
   1:weechat                ########################################### [100%]

                  │15:01:02  weechat     | 
                   │15:01:02  weechat     | python scripts loaded:
                   │15:01:02  weechat     |   lnotify v0.1.1 - lnotify - A libnotify script for weechat
                   │15:01:02  weechat     |   urlbar v0.9 - Bar with URLs. For easy clicking or selecting.


I can verify that this package from koji fixed this bug.

thank you.

Comment 8 Fedora Update System 2010-11-19 22:28:07 UTC
weechat-0.3.3-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update weechat'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/weechat-0.3.3-2.fc13

Comment 9 Fedora Update System 2010-11-29 21:28:48 UTC
weechat-0.3.3-2.fc14.1 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-11-29 21:33:44 UTC
weechat-0.3.3-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-11-29 21:37:58 UTC
weechat-0.3.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.